Ver Mensaje Individual
  #6 (permalink)  
Antiguo 21/09/2006, 13:56
Cluster
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 16 años
Puntos: 126
El problema de las migraciones no es tanto del "usuario" (en este caso nosotros los programadores) .. Nosotros podemos adaptarnos, adaptar nuestro código si es necesario, aprender ..

Tampoco es problema si trabajamos en ambientes bajo nuestra propiedad tipo "Intranets" .. o servidores nuestros própios .. ahí instalar una nueva versión o no queda a nuestro criterio y tiempo.

El problema es de esos servicios de hosting que muchos debemos usar si o sí y no quieren hacer pruebas de versiones que no son "estables" (o mejor dicho que no lleven mucho tiempo) .. tampoco quieren problemas con sus clientes que "no van a modificar su código" en caso de que no les funcione con estas nuevas versiones. Otros no quiren bajar sus servicios por el tiempo que les demore estas actualizaciones e instalaciones (sobre todo si se les presenta algún problema por el camino). En fin . .escusas hay muchas.
¿Se imaginan la de aplicaciones que van a "caer" si actualizan a PHP 6 por todos los cambios que hay? ..

Así que esto se convierte en una rueda: nosotros aprendemos PHP 5.x o 6.x .. optimizmos nuestro código y luego a la hora de verdad tienes que dejar en "producción" tu aplicación en cierto servicio de hosting (o servidore en general) donde lo primero que te dicen "es lo que hay!" y ves que usan versiones inferiores a lo que tu "optimizastes" tu código.

Igualmente esto es cosa de todos, hay que pedirlo .. no "conformarse" .. ver si la "competencia" te ofrece ese servicio (versión de PHP superior) e irte a la competencia dejando claro que "Uds. no dan soporte a lo que necesito" y ojalá así fuesen muchos casos.

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.